
TextCritical.net - Task #2003

Upgrade from Bootstrap 2.3.2

08/19/2017 05:26 AM - Luke Murphey

Status: Closed Start date: 08/19/2017

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

1. Make changes for upgrading to Bootstrap 3: http://getbootstrap.com/migration/

2. Make changes for upgrading to Bootstrap 4: https://v4-alpha.getbootstrap.com/migration/

3. Update to a new Bootstrap theme

Related issues:

Related to TextCritical.net - Feature #1400: Reader centric UI Closed 07/18/2016

History

#1 - 08/19/2017 05:41 AM - Luke Murphey

Possible themes:

1. https://themes.getbootstrap.com/products/dashboard ($99)

1. https://themeforest.net/item/pages-admin-dashboard-template-web-app/9694847?s_rank=4

2. https://themeforest.net/item/limitless-responsive-web-application-kit/13080328?s_rank=5

1. Could have picture replaced with book cover here: http://demo.interface.club/limitless/layout_1/LTR/material/index.html

Free:

1. https://startbootstrap.com/template-overviews/sb-admin/

2. http://blacktie.co/2013/10/pratt-app-landing-page/

3. http://shapebootstrap.net/item/1525168-velonic-admin-dashboard-frontend/live-demo

4. https://bootswatch.com/4-alpha/cyborg/

5. https://bootswatch.com/4-alpha/slate/

6. https://bootswatch.com/4-alpha/darkly/

7. https://bootswatch.com/4-alpha/lux/

8. http://getdarkstrap.com/index.php

#2 - 08/24/2017 07:16 AM - Luke Murphey

Things to check

Update to use CDN

Update 503 page

Check print stylesheet

ePub book styles

Check view for responsiveness
#3 - 08/24/2017 05:01 PM - Luke Murphey

- Target version changed from 3.0 to Plus_4

#4 - 08/24/2017 05:23 PM - Luke Murphey

What to look for in themes:

1. General

1. Cost

2. Bootstrap 3 or 4 support

3. License

2. Tables for works list

1. Datatables support

3. Search page

1. Charts

4. Reading page

1. Table of contents

2. Popovers for notes

3. Dialogs (download)

4. Button groups

5. Icons for toolbar

6. Slide out menu

7. Progress bar for percent of work read

8. Loading animations

9. Ability to show multiple windows

10. Styled inputs

#5 - 08/24/2017 08:15 PM - Luke Murphey

- Related to Feature #1400: Reader centric UI added

#6 - 08/25/2017 06:28 AM - Luke Murphey

- Subject changed from Upgrade to Bootstrap 4 to Upgrade to Bootstrap 3 or 4

#7 - 10/22/2018 06:27 PM - Luke Murphey

- Target version deleted (Plus_4)

#8 - 10/24/2018 07:16 PM - Luke Murphey

See https://pikock.github.io/bootstrap-magic/app/index.html#!/editor

#9 - 10/24/2018 07:42 PM - Luke Murphey

Need to determine how to handle the epubs

#10 - 03/11/2020 08:41 PM - Luke Murphey

- Subject changed from Upgrade to Bootstrap 3 or 4 to Upgrade from Bootstrap 2.3.2
https://pikock.github.io/bootstrap-magic/app/index.html#!/editor


#11 - 01/05/2022 05:28 PM - Luke Murphey

- Status changed from New to Closed
